package com.loganmagnan.blockhealth.listeners;

import com.loganmagnan.blockhealth.BlockHealth;
import org.bukkit.block.Block;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.block.BlockBreakEvent;
import org.bukkit.event.block.BlockPlaceEvent;

public class WorldListener implements Listener {

    private BlockHealth main = BlockHealth.getInstance();

    @EventHandler
    public void onBlockPlace(BlockPlaceEvent event) {

    }

    @EventHandler
    public void onBlockBreak(BlockBreakEvent event) {
        Player player = event.getPlayer();

        Block block = event.getBlock();

        this.main.getBlockManager().damageBlock(player, block);

        event.setCancelled(true);
    }
}
